#include "config.h"

#if USE_DS1631
	#ifndef DS1613_h
		#define DS1631_h
	#include <avr/io.h>
	#include "i2cmaster.h"
	#include "httpd.h" //fr Variablen Array
	
	//DS1631 Befehle
	#define START_CONVERT 0x51
	#define STOP_CONVERT 0c22
	#define READ_TEMPERATURE 0xAA
	#define ACCESS_TH 0xA1
	#define ACCESS_TL 0xA2
	#define ACCESS_CONFIG 0xAC
	#define SOFTWARE_POR 0x54
	
	
	//Prototypen
	void DS1631_init (void);
	
	void DS1631_get_temp (void);
	#endif
#endif 
