/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        24.10.2007
 Description:    BASE64 decodieren/encodieren
----------------------------------------------------------------------------*/

#include "base64.h"

const char BASE64CODE[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

//#define ENCODE_BYTE(x) BASE64CODE[((char)x) & 077];

void decode_base64 (unsigned char *str1,unsigned char *str2)
{
	unsigned char *strp;
	
	strp = str2;
	
	while (*str1 != 0)
	{
		*str2++= (*str1 & b11111100)>>2;
		
		*str2 = (((*str1++)&b00000011)<<4); 
		if (*str1==0)
		{
			str2++;
			*str2++= 0;
			*str2++= 0;
			break;
		}
		else
		{
			*str2++ += ((*str1 & b11110000)>>4);
			*str2 = (((*str1++)& b00001111)<<2);
			if (*str1==0)
			{
				str2++;
				*str2++ = 0;
			}
			else
			{
				*str2++	+= ((*str1 & b11000000)>>6);
				*str2++= *str1++ & b00111111;
			}
		}
	}
	*str2 = 0;
	while(*strp)
	{
			*strp = ENCODE_BYTE(*strp);
			strp++;
	}
}







