/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        02.12.2007
 Description:    empfangene UDP Daten auf Port 345 
				 werden auf dem LCD ausgegeben
----------------------------------------------------------------------------*/

#include "udp_lcd.h"

//----------------------------------------------------------------------------
//Initialisierung des NTP Ports (fr Daten empfang)
void udp_lcd_init (void)
{
	//Port in Anwendungstabelle eintragen fr eingehende NTP Daten!
	add_udp_app (UDP_LCD_PORT, (void(*)(unsigned char))udp_lcd_get);
	return;
}

//----------------------------------------------------------------------------
//Empfang der Zeitinformationen von einem NTP Server
void udp_lcd_get (unsigned char index)
{
	UDP_LCD_DEBUG("** LCD DATA GET Bytes: %i **\r\n",((UDP_DATA_END_VAR)-(UDP_DATA_START)));
#if USE_SER_LCD
	lcd_clear();
	for (int a = UDP_DATA_START;a < UDP_DATA_END_VAR;a++)
	{
		lcd_write (eth_buffer[a],1);
	}	
#endif
}








