/*------------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        31.12.2007
 Description:    Analogeingnge Abfragen
------------------------------------------------------------------------------*/
#include "config.h"

#if USE_ADC

#ifndef _ADC_H_
	#define _ADC_H_	

	#include <avr/io.h>
	#include <avr/interrupt.h>
	#include "httpd.h" //fr Variablen Array
	
	#define ANALOG_OFF ADCSRA=0
	#define ANALOG_ON  ADCSRA=(1<<ADEN)|(1<<ADSC)|(1<<ADATE)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)|(1<<ADIE);
	
	volatile unsigned char channel;

	extern void ADC_Init(void);

#endif //_ADC_H_

#endif //USE_ADC





