/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        02.12.2007
 Description:    empfangene UDP Daten auf Port 345 
				 werden auf dem LCD ausgegeben
----------------------------------------------------------------------------*/

#ifndef _UDPLCDCLIENT_H
	#define _UDPLCDCLIENT_H

	#define UDP_LCD_DEBUG usart_write
	//#define UDP_LCD_DEBUG(...)

	#include <avr/io.h>
	#include <avr/pgmspace.h>
	#include "stack.h"
	#include "usart.h"
	#include "timer.h"
	#include "lcd.h"

	#define UDP_LCD_PORT		345

	void udp_lcd_init(void);
	void udp_lcd_get(unsigned char);
	
#endif
