/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Thomas
 Remarks:        
 known Problems: none
 Version:        23.01.2008
 Description:    WOL
----------------------------------------------------------------------------*/
#include <config.h>

#if USE_WOL

	#define WOL_DEBUG usart_write
	//#define WOL_DEBUG(...)

	#include <avr/io.h>
	#include <avr/pgmspace.h>
	#include "stack.h"
	#include "usart.h"

	#define WOL_PORT				9

	#define WOL_MAC_EEPROM_STORE	60 //6 Byte
	#define WOL_BCAST_EEPROM_STORE	66 //4 Byte
	
	unsigned char wol_bcast_ip[4];
	unsigned char wol_mac[6];
	
	void wol_init(void);
	void wol_request(void); 
	
#endif //USE_NTP

